%global momorel 2
%global qtver 3.3.7
%global qtdir %{_libdir}/qt3
%global md5sum_src0 c4d7a1936d3aa1519b74a2126b5093f7

Summary: Powerful sequencer-, synthesizer- and sample-studio for Linux
Name: lmms
Version: 0.2.1
Release: %{momorel}m%{?dist}
License: GPL
URL: http://lmms.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: %{name}.desktop
Source2: %{name}-16.png
Source3: %{name}-32.png
Source4: %{name}-48.png
Patch0: %{name}-%{version}-plugindir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: SDL-devel
BuildPreReq: alsa-lib-devel
BuildPreReq: flac-devel
BuildPreReq: jack-devel
BuildPreReq: libsndfile-devel
BuildPreReq: libsamplerate-devel
BuildPreReq: libvorbis-devel

%description
LMMS aims to be a free alternative to popular (but commercial and closed-
source) programs like FruityLoops, Cubase and Logic giving you the ability of
producing music with your computer by creating/synthesizing sounds, arranging
samples, playing live with keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and
samplers in a modern, user-friendly and easy to use graphical user-interface.

LMMS is still in heavy development, so with this version please don't expect a
complete, ready and bugfree program!!

%prep
%setup -q

%ifarch x86_64
%patch0 -p1 -b .libdir
%endif

%build
export QTDIR=%{qtdir}

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/lmms.png
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/lmms.png
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/lmms.png

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/lmms.png %{buildroot}%{_datadir}/pixmaps/lmms.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/lmms
%{_libdir}/lmms
%{_datadir}/applications/lmms.desktop
%{_datadir}/lmms
%{_mandir}/man1/lmms.1*
%{_datadir}/icons/hicolor/*/apps/lmms.png
%{_datadir}/pixmaps/lmms.png

%changelog
* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- revise lmms.desktop

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- initial package for Momonga Linux
- import plugindir.patch from packman lmms-0.2.1-0.pm.1.src.rpm
- import and modify lmms.desktop from packman lmms-0.2.1-0.pm.1.src.rpm
- import icons from cooker
